pcl::_PointSurfel Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointSurfel:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
PCL_ADD_UNION_RGB
float radius
float confidence
float curvature
} |
float data_c [4]
}; |
| PCL_ADD_EIGEN_MAPS_RGB

## Detailed Description

Definition at line 1456 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointSurfel::confidence

Definition at line 1466 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

float pcl::_PointSurfel::curvature

Definition at line 1467 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

float pcl::_PointSurfel::data_c[4]

Definition at line 1469 of file point_types.hpp.

pcl::_PointSurfel::PCL_ADD_EIGEN_MAPS_RGB

Definition at line 1471 of file point_types.hpp.

pcl::_PointSurfel::PCL_ADD_NORMAL4D

Definition at line 1459 of file point_types.hpp.

pcl::_PointSurfel::PCL_ADD_POINT4D

Definition at line 1458 of file point_types.hpp.

pcl::_PointSurfel::PCL_ADD_UNION_RGB

Definition at line 1464 of file point_types.hpp.

float pcl::_PointSurfel::radius

Definition at line 1465 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp